cURL
curl --request POST \
--url https://api.example.com/tickets/{ticketId}/actions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": [
{
"type": "addTags",
"tagNames": [
"<string>"
],
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.example.com/tickets/{ticketId}/actions"
payload = { "actions": [
{
"type": "addTags",
"tagNames": ["<string>"],
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actions: [
{
type: 'addTags',
tagNames: ['<string>'],
userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.example.com/tickets/{ticketId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Authenticated endpoints (API key)
Post tickets actions
Perform actions on a ticket such as managing metadata, sending messages, assigning, changing status, and closing
POST
/
tickets
/
{ticketId}
/
actions
cURL
Headers
Bearer token API key
Path Parameters
The ID of the ticket to perform actions on
Body
application/json
actions
(addTags · object | setFields · object | setOnHold · object | setStatus · object | setPlayerInfo · object | sendMessage · object | addPrivateNote · object | resolveTicket · object | rejectTicket · object | assignTicket · object | unassignTicket · object | removeTags · object)[]
required
Minimum array length:
1Action to add tags to the ticket
- addTags
- setFields
- setOnHold
- setStatus
- setPlayerInfo
- sendMessage
- addPrivateNote
- resolveTicket
- rejectTicket
- assignTicket
- unassignTicket
- removeTags
Show child attributes
Show child attributes
Response
200 - application/json
Result of performing the actions